/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JOptionPane;
import images.BackSideImage;
import exceptions.NotBacksideImageException;

/**
 *
 * @author gabor
 */
public class BsideChangeJcombo extends JComboBox<String> {

    public BsideChangeJcombo(KetfarkuFrame ketf) {
        super();
      setFont(new java.awt.Font("Dialog", 1, 18));
      setBounds(1090, 610, 120, 31);
        makeComboItem();
        setModel(new DefaultComboBoxModel<>(makeComboItem()));
        addActionListener((e) -> {
            for (int i = 0; i < ketf.backPicture.length; i++) {
                try {
                    ketf.backPicture[i].setIcon(BackSideImage.getBackSideImage(this.getSelectedIndex()));
                } catch (NotBacksideImageException ex) {
                    JOptionPane.showMessageDialog(null, ex);
                    System.exit(0);
                }

            }
        });

    }

    private String[] makeComboItem() {
        String[] itemName = null;
        try {
            String[] itemFull = new String[BackSideImage.getRealList().size()];
            for (int i = 0; i < BackSideImage.getRealList().size(); i++) {
                itemFull[i] = BackSideImage.getRealList().get(i);
            }

            itemName = new String[itemFull.length];
            for (int i = 0; i < itemFull.length; i++) {

                String[] item = itemFull[i].split("0");

                itemName[i] = item[0];
            }

        } catch (NotBacksideImageException ex) {
            JOptionPane.showMessageDialog(null, ex);
            System.exit(0);
        }
        return itemName;
    }
}
