/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package images;

import exceptions.NotBacksideImageException;
import exceptions.NotFoundImageException;
import images.data.PicturesData;
import java.io.File;
import java.util.ArrayList;
import javax.swing.ImageIcon;

/**
 *
 * @author gabor
 */
public class BackSideImage {
    private static final String FOLDER="BacksidePictures";
    private static  String[] fileList;
    private static ArrayList<String> realFileList;
 

   


    private BackSideImage() {
    }
    static {
        fileList=new File(FOLDER).list();
        realFileList=new ArrayList<>();
       makeRealFileList();
     
       
    }
   public static ImageIcon getBackSideImage(int index) throws  NotBacksideImageException{
       
       return new ImageIcon(FOLDER+"/"+getRealList().get(index));
       
       
   } 
     public static ArrayList<String> getRealList() throws NotBacksideImageException {
         if(realFileList.size()==0) throw new NotBacksideImageException();
        return realFileList;
    }
      private static void makeRealFileList() {
     
        for (String fileList1 : fileList) {
            ImageIcon tmp = new ImageIcon(FOLDER+"/" + fileList1);
            if (tmp.getIconHeight() == PicturesData.getIMAGEHEIGHT() && tmp.getIconWidth() == PicturesData.getIMAGEWIDTH() &&
                    fileList1.contains("0") &&
                    (fileList1.endsWith(".jpg") ||
                    fileList1.endsWith(".gif") ||
                    fileList1.endsWith(".png"))) {
              realFileList.add(fileList1);
            }
        }
    }
   
    
}
